Bug 89592 - Initialize PropertyValue Sequences from initializer_lists
Summary: Initialize PropertyValue Sequences from initializer_lists
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-02-23 17:28 UTC by Björn Michaelsen
Modified: 2017-02-14 08:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2015-02-23 17:28:24 UTC
With C++11 we can use initializer_lists. This diff:

 http://cgit.freedesktop.org/libreoffice/core/diff/connectivity/source/commontools/dbtools.cxx?id=f9632ab04288909c9ff4de56171c31acb7f2c573

shows how to use them to populate a the common (UNO) Sequence<PropertyValue> used widely in LibreOffice in a less obstruse way.

To find other instances that can use initializer_lists, do a:

 git grep Sequence.*PropertyValue
Comment 1 ababaaa 2015-03-03 16:37:32 UTC
Can you explain it further.I want to work on it.
I am a beginner.
Thanks.
Comment 2 Björn Michaelsen 2015-03-03 18:16:37 UTC
(In reply to Lovekesh Garg from comment #1)
> Can you explain it further.

Not without any hint on what information would be missing to start with this. ;)
Comment 3 ababaaa 2015-03-04 11:53:51 UTC
(In reply to Björn Michaelsen from comment #2)
> (In reply to Lovekesh Garg from comment #1)
> > Can you explain it further.
> 
> Not without any hint on what information would be missing to start with
> this. ;)

I don't get you.
I am just asking for some more example as I am just a beginner.
Thanks for your time.
Comment 4 Swachhand Lokhande 2015-03-05 06:23:10 UTC
Hi. 
I am new to LibreOffice development and I would like to work on this as my first bug. 
Thanks.
Comment 5 Tor Lillqvist 2015-03-05 10:23:58 UTC
Swachhand, you didn't notice that another guy is trying to work on this bug?
Comment 6 Swachhand Lokhande 2015-03-05 11:14:59 UTC
Since it wasn't assigned to anyone, I thought that no one is working on it. Sorry.
Comment 7 Björn Michaelsen 2015-03-05 13:01:05 UTC
Since this can be done independantly and even in parallel in multiple places, just go ahead and submit (nice, small scoped) patches to gerrit: first come, first serve. ;)
But the assignee should indeed be left free, someone working on this in one place, doesnt prevent someone else doing the same somewhere else.
Comment 8 Commit Notification 2015-03-10 10:29:34 UTC
Swachhand Lokhande committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1534edf523a405b91ad04c5351735e745ceb7ee

tdf#89592 Using initializer_lists to populate Sequence<PropertyValue>

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-07-04 22:19:35 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6942e18899756cb49bc17f531c156bf3e6abce03

tdf#89592: use initializer list

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-08-09 22:34:16 UTC
Florian Effenberger committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b16fb9f4096a5bc9906de4b41d39e34f8282b8c3

tdf#89592 Initialize PropertyValue Sequences from initializer_lists

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Aristomenis Georgiopoulos 2015-10-17 22:51:46 UTC
Hi, it will be my first task. I am working on it right now.
Comment 12 Aristomenis Georgiopoulos 2015-10-18 14:42:14 UTC
I did my first patch you can have a look here https://gerrit.libreoffice.org/#/c/19430/ thanks.
Comment 13 Commit Notification 2015-10-20 20:53:42 UTC
marstay committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4383e5a79090a514523e86c2365a41a1d1b448e2

tdf#89592: use initializer list

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Robinson Tryon (qubit) 2015-12-14 07:01:50 UTC Comment hidden (obsolete)
Comment 15 Robinson Tryon (qubit) 2016-02-18 14:52:11 UTC Comment hidden (obsolete)
Comment 16 jani 2016-05-05 05:46:56 UTC
seems solved